Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156825 - After installing dbus-0.33-2, avc: denied { connectto } path=/var/run/dbus/system_bus_socket
Summary: After installing dbus-0.33-2, avc: denied { connectto } path=/var/run/dbus...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 15:00 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 16:12:28 UTC


Attachments (Terms of Use)
dmesg (deleted)
2005-05-04 15:00 UTC, sangu
no flags Details

Description sangu 2005-05-04 15:00:53 UTC
Description of problem:
After installing dbus-0.33-2, 

in dmesg

audit(1115217595.126:0): avc:  denied  { connectto } for
path=/var/run/dbus/system_bus_socket scontext=system_u:system_r:hald_t
tcontext=system_u:system_r:initrc_t tclass=unix_stream_socket
[...]
 path=/var/run/dbus/system_bus_socket scontext=system_u:system_r:cupsd_config_t
tcontext=root:system_r:unconfined_t tclass=unix_stream_socket

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.14-2

How reproducible:
always

Steps to Reproduce:
1. booting
2.
3.
  
Actual results:
 haldaemon can't start.

Expected results:


Additional info:
hal-0.5.1-1

$ls -Zal /var/run/dbus/system_bus_socket
srwxrwxrwx  1 root:object_r:system_dbusd_var_run_t root root 0  5ì  4 23:50
/var/run/dbus/system_bus_socket

Comment 1 sangu 2005-05-04 15:00:53 UTC
Created attachment 114016 [details]
dmesg

Comment 2 Daniel Walsh 2005-05-05 11:38:49 UTC
Please update to the latest policy and you might need to relabel.

touch /.autorelabel; reboot

Comment 3 sangu 2005-05-06 16:12:28 UTC
After doing $touch /.autorelabel; reboot, this problem is fixed.

Question: Does I need to rebabel whenever new policy is installed?




Note You need to log in before you can comment on or make changes to this bug.